# MAGIC

## Introduction
The MAGIC App (Mobility and Aging In Collaboration) is a mobile application designed 
to assist the elderly in getting transportation to/from destinations such as medical
appointments, dental appointments, grocery stores, or anywhere else they may need
transportation to.  

## Installation
To get the application up and running, you need to have NODE 14 LTS or greater installed
and install the Expo CLI.  The links to installation/guides for installing both NODE and 
Expo are below:

https://nodejs.org/en/download/

https://reactnative.dev/docs/environment-setup

Once you have these correctly installed, you simply navigate to the main project folder in
a terminal or command prompt and type npm install.  This should install all of the correct
dependencies to allow the project to run.  

The react native Environment Setup link above will tell you how to run an expo app (by typing Expo Start),
however, you will need either an Android/iOS imulator or the Expp Go App downloaded on your phone to enable
you to run this app.  

To Download the Expo app (iOS) or Expo Go app (Android) you simply go to the corresponding app store and search
for Expo, then download the application.

Once you type Expo Start in the main project folder, it should navigate to a Web Interface in which you can scan 
a QR code to run on your personal android/iOS device, or select to run on an imulator.  If running on an imulator,
you need to have the imulator started up and running on your machine before selecting the Run on iOS/Android 
imulator option.

NOTE: Once you run the app, you will get an error resulting from the Google Maps API key being invalid. The API key
that was used was removed because it was only intended for testing. You will need to generate your own Google Maps API key from the Google 
Cloud Platform and simply copy-paste it in the variable "GOOGLE_PLACES_API_KEY" found in the file DestinationSelector.js,
in the Pages folder. The guide to creating an API key can be found through the following link:
https://developers.google.com/maps/documentation/javascript/get-api-key
