import * as Device from 'expo-device';
import * as Notifications from 'expo-notifications';
import React, { useState, useEffect, useRef } from 'react';
import { Text, View, Button, Pressable } from 'react-native';

export default function SendRequest() {
    registerForPushNotificationsAsync = async() => {
        //Check for existing persmisions
        const {status: existingStatus} = await Notifications.getPermissionsAsync();
        let finalStatus = existingStatus;

        //If there are no existing permissions
        if (existingStatus !== 'granted'){
            const {status} = await Notifications.requestPermissionsAsync();
            finalStatus = existingStatus;
        }

        //If the permission is still not granted, exit the funciton
        if (finalStatus !== 'granted')
        {
            alert('Failed to get token for push notifications.');
            return;
        }
    }
    
    //Get the push notification token from the database
    const getToken = () => {
        
    }

    return (
        <View>
            <Pressable
                onPress={() => {
                    getToken();
                }}
                style={{
                    backgroundColor: '#b2ec5d',
                    width: '100%',
                    height: '30%',
                    borderRadius: 10,
                    borderColor: 'black',
                    justifyContent: 'space-around',
                }}
            >
                <Text>Send Request</Text>
            </Pressable>
        </View>
    );
}
